Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Interface SymmetricKey

All Known Implementing Classes:
  PK11SymKey

    public interface SymmetricKey

Nested Class Summary
`static class` | `SymmetricKey.NotExtractableException`
`static class` | `SymmetricKey.Type`
`static class` | `SymmetricKey.Usage` In PKCS #11, each key can be marked with the operations it will be used to perform.

Field Summary
`static SymmetricKey.Type` | `AES`
`static SymmetricKey.Type` | `DES`
`static SymmetricKey.Type` | `DES3`
`static SymmetricKey.Type` | `RC2`
`static SymmetricKey.Type` | `RC4`
`static SymmetricKey.Type` | `SHA1_HMAC`

Method Summary
`java.lang.String` | `getAlgorithm()`
`byte[]` | `getEncoded()`
`java.lang.String` | `getFormat()`
`byte[]` | `getKeyData()`
`int` | `getLength()`
`CryptoToken` | `getOwningToken()`
`int` | `getStrength()`
`SymmetricKey.Type` | `getType()`

Field Detail

### DES

    static final SymmetricKey.Type DES

### DES3

    static final SymmetricKey.Type DES3

### RC4

    static final SymmetricKey.Type RC4

### RC2

    static final SymmetricKey.Type RC2

### SHA1_HMAC

    static final SymmetricKey.Type SHA1_HMAC

### AES

    static final SymmetricKey.Type AES

Method Detail

### getType

    SymmetricKey.Type getType()

### getOwningToken

    CryptoToken getOwningToken()

### getStrength

    int getStrength()

### getLength

    int getLength()

### getKeyData

    byte[] getKeyData()
                      throws SymmetricKey.NotExtractableException

  Throws:
    `SymmetricKey.NotExtractableException`

### getAlgorithm

    java.lang.String getAlgorithm()

### getEncoded

    byte[] getEncoded()

### getFormat

    java.lang.String getFormat()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD